import request from '/@/utils/request';

/**
 * @description 添加部门信息
 **/
export const add_department_info = (params) =>
	request({
		url: `/admin/department/add_department_info`,
		method: 'post',
		params: {},
		data: params,
	});
/**
 * @description 删除部门信息
 **/
export const delete_department = (params) =>
	request({
		url: `/admin/department/delete_department`,
		method: 'post',
		params: {},
		data: params,
	});
/**
 * @description 获取部门信息
 **/
export const get_department_list = () =>
	request({
		url: `/admin/department/get_department_list`,
		method: 'post',
	});

/**
 * @description 编辑部门信息
 **/
export const update_department_info = (params) =>
	request({
		url: `/admin/department/update_department_info`,
		method: 'post',
		data: params,
	});
